package model

import (
	"time"
)

type CommunityTeamGoods struct {
	Id           int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid          int       `json:"uid" xorm:"default 0 comment('0是官方') INT(11)"`
	StoreType    int       `json:"store_type" xorm:"default 0 comment('0官方自营店 1加盟店 2连锁店') INT(11)"`
	Title        string    `json:"title" xorm:"VARCHAR(255)"`
	Img          string    `json:"img" xorm:"VARCHAR(255)"`
	Info         string    `json:"info" xorm:"comment('描述') VARCHAR(255)"`
	Cid          int       `json:"cid" xorm:"default 0 INT(11)"`
	State        int       `json:"state" xorm:"default 0 comment('0上架 1下架') INT(11)"`
	CreateAt     time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt     time.Time `json:"update_at" xorm:"DATETIME"`
	Price        string    `json:"price" xorm:"DECIMAL(10,2)"`
	Stock        int       `json:"stock" xorm:"default 0 INT(11)"`
	Spe          string    `json:"spe" xorm:"not null default '' comment('所有规格属性json') VARCHAR(5012)"`
	LinePrice    string    `json:"line_price" xorm:"not null default 0.00 comment('划线价') DECIMAL(12,2)"`
	SpeImages    string    `json:"spe_images" xorm:"not null comment('第一组规格值对应的图片json') TEXT"`
	IsSingleSku  int       `json:"is_single_sku" xorm:"not null default 1 comment('是否单规格，0：否，1是') TINYINT(1)"`
	Sort         int       `json:"sort" xorm:"default 0 INT(11)"`
	IsSpeImageOn int       `json:"is_spe_image_on" xorm:"not null default 0 comment('是否开启规格图片：0否 1是') TINYINT(1)"`
	Commission   string    `json:"commission" xorm:"default 0.00 DECIMAL(20,2)"`
	ImageList    string    `json:"image_list" xorm:"comment('商品图json') TEXT"`
	SaleCount    int       `json:"sale_count" xorm:"default 0 INT(11)"`
}
